net.sf.jasperreports.engine

## Interface JRChild

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable, JRVisitable
  All Known Subinterfaces:
    Cell, JRBand, JRBreak, JRCellContents, JRChart, JRComponentElement, JRCrosstab, JRElement, JRElementGroup, JREllipse, JRFrame, JRGenericElement, JRGraphicElement, JRImage, JRLine, JRRectangle, JRStaticText, JRSubreport, JRTextElement, JRTextField, ListContents
  All Known Implementing Classes:
    BaseListContents, CompiledCell, DesignCell, DesignListContents, ElementDecorator, FillListContents, FillTableSubreport, JRBaseBand, JRBaseBreak, JRBaseCellContents, JRBaseChart, JRBaseComponentElement, JRBaseCrosstab, JRBaseElement, JRBaseElementGroup, JRBaseEllipse, JRBaseFrame, JRBaseGenericElement, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBaseRectangle, JRBaseStaticText, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRDesignBand, JRDesignBreak, JRDesignCellContents, JRDesignChart, JRDesignComponentElement, JRDesignCrosstab, JRDesignElement, JRDesignElementGroup, JRDesignEllipse, JRDesignFrame, JRDesignGenericElement, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignRectangle, JRDesignStaticText, JRDesignSubreport, JRDesignTextElement, JRDesignTextField, JRFillBand, JRFillBreak, JRFillCellContents, JRFillChart, JRFillComponentElement, JRFillCrosstab, JRFillElement, JRFillElementContainer, JRFillElementGroup, JRFillEllipse, JRFillFrame, JRFillFrame.JRFillFrameElements, JRFillGenericElement, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillRectangle, JRFillStaticText, JRFillSubreport, JRFillTextElement, JRFillTextField, TableSubreport

      public interface JRChild
      extends JRVisitable, JRCloneable

  An abstract representation of a report element. All report elements implement this interface. The interface contains constants and methods that apply to all report elements.
  Version:
    $Id: JRChild.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone(JRElementGroup parentGroup)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### clone

          java.lang.Object clone(JRElementGroup parentGroup)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com